# Class Constants

java.lang.Object
org.apache.coyote.ajp.Constants

public final class Constants extends Object
Constants.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DEFAULT_CONNECTION_TIMEOUT`
`static final int`
`H_SIZE`
Size of basic packet header
`static final byte`
`JK_AJP13_CPING_REQUEST`
`static final byte`
`JK_AJP13_CPONG_REPLY`
`static final byte`
`JK_AJP13_END_RESPONSE`
`static final byte`
`JK_AJP13_FORWARD_REQUEST`
`static final byte`
`JK_AJP13_GET_BODY_CHUNK`
`static final byte`
`JK_AJP13_PING_REQUEST`
`static final byte`
`JK_AJP13_SEND_BODY_CHUNK`
`static final byte`
`JK_AJP13_SEND_HEADERS`
`static final byte`
`JK_AJP13_SHUTDOWN`
`static final int`
`MAX_PACKET_SIZE`
Default maximum total byte size for an AJP packet
`static final int`
`MAX_READ_SIZE`
Default maximum size of data that can be sent in one packet
`static final int`
`MAX_SEND_SIZE`
`static final int`
`READ_HEAD_LEN`
Size of the header metadata
`static final byte`
`SC_A_ARE_DONE`
`static final byte`
`SC_A_AUTH_TYPE`
`static final byte`
`SC_A_CONTEXT`
`static final byte`
`SC_A_JVM_ROUTE`
`static final byte`
`SC_A_QUERY_STRING`
`static final byte`
`SC_A_REMOTE_USER`
`static final byte`
`SC_A_REQ_ATTRIBUTE`
`static final String`
`SC_A_REQ_LOCAL_ADDR`
AJP private request attributes
`static final String`
`SC_A_REQ_REMOTE_PORT`
`static final byte`
`SC_A_SECRET`
`static final byte`
`SC_A_SERVLET_PATH`
`static final byte`
`SC_A_SSL_CERT`
`static final byte`
`SC_A_SSL_CIPHER`
`static final byte`
`SC_A_SSL_KEY_SIZE`
`static final String`
`SC_A_SSL_PROTOCOL`
`static final byte`
`SC_A_SSL_SESSION`
`static final byte`
`SC_A_STORED_METHOD`
`static final int`
`SC_M_JK_STORED`
`static final int`
`SC_REQ_ACCEPT`
`static final int`
`SC_REQ_ACCEPT_CHARSET`
`static final int`
`SC_REQ_ACCEPT_ENCODING`
`static final int`
`SC_REQ_ACCEPT_LANGUAGE`
`static final int`
`SC_REQ_AUTHORIZATION`
`static final int`
`SC_REQ_CONNECTION`
`static final int`
`SC_REQ_CONTENT_LENGTH`
`static final int`
`SC_REQ_CONTENT_TYPE`
`static final int`
`SC_REQ_COOKIE`
`static final int`
`SC_REQ_COOKIE2`
`static final int`
`SC_REQ_HOST`
`static final int`
`SC_REQ_PRAGMA`
`static final int`
`SC_REQ_REFERER`
`static final int`
`SC_REQ_USER_AGENT`
`static final int`
`SC_RESP_AJP13_MAX`
`static final int`
`SC_RESP_CONTENT_LANGUAGE`
`static final int`
`SC_RESP_CONTENT_LENGTH`
`static final int`
`SC_RESP_CONTENT_TYPE`
`static final int`
`SC_RESP_DATE`
`static final int`
`SC_RESP_LAST_MODIFIED`
`static final int`
`SC_RESP_LOCATION`
`static final int`
`SC_RESP_SERVLET_ENGINE`
`static final int`
`SC_RESP_SET_COOKIE`
`static final int`
`SC_RESP_SET_COOKIE2`
`static final int`
`SC_RESP_STATUS`
`static final int`
`SC_RESP_WWW_AUTHENTICATE`
`static final int`
`SEND_HEAD_LEN`

## Constructor Summary

Constructors
Constructor
Description
`Constants()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`getHeaderForCode(int code)`
Converts an AJP coded HTTP request header to the header name.
`static String`
`getMethodForCode(int code)`
Converts an AJP coded HTTP method to the method name.
`static int`
`getResponseAjpIndex(String header)`
`static String`
`getResponseHeaderForCode(int code)`
Converts an AJP coded response header name to the HTTP response header name.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_CONNECTION_TIMEOUT

public static final int DEFAULT_CONNECTION_TIMEOUT

See Also:
  - Constant Field Values

### JK_AJP13_FORWARD_REQUEST

public static final byte JK_AJP13_FORWARD_REQUEST

See Also:
  - Constant Field Values

### JK_AJP13_SHUTDOWN

public static final byte JK_AJP13_SHUTDOWN

See Also:
  - Constant Field Values

### JK_AJP13_PING_REQUEST

public static final byte JK_AJP13_PING_REQUEST

See Also:
  - Constant Field Values

### JK_AJP13_CPING_REQUEST

public static final byte JK_AJP13_CPING_REQUEST

See Also:
  - Constant Field Values

### JK_AJP13_SEND_BODY_CHUNK

public static final byte JK_AJP13_SEND_BODY_CHUNK

See Also:
  - Constant Field Values

### JK_AJP13_SEND_HEADERS

public static final byte JK_AJP13_SEND_HEADERS

See Also:
  - Constant Field Values

### JK_AJP13_END_RESPONSE

public static final byte JK_AJP13_END_RESPONSE

See Also:
  - Constant Field Values

### JK_AJP13_GET_BODY_CHUNK

public static final byte JK_AJP13_GET_BODY_CHUNK

See Also:
  - Constant Field Values

### JK_AJP13_CPONG_REPLY

public static final byte JK_AJP13_CPONG_REPLY

See Also:
  - Constant Field Values

### SC_RESP_CONTENT_TYPE

public static final int SC_RESP_CONTENT_TYPE

See Also:
  - Constant Field Values

### SC_RESP_CONTENT_LANGUAGE

public static final int SC_RESP_CONTENT_LANGUAGE

See Also:
  - Constant Field Values

### SC_RESP_CONTENT_LENGTH

public static final int SC_RESP_CONTENT_LENGTH

See Also:
  - Constant Field Values

### SC_RESP_DATE

public static final int SC_RESP_DATE

See Also:
  - Constant Field Values

### SC_RESP_LAST_MODIFIED

public static final int SC_RESP_LAST_MODIFIED

See Also:
  - Constant Field Values

### SC_RESP_LOCATION

public static final int SC_RESP_LOCATION

See Also:
  - Constant Field Values

### SC_RESP_SET_COOKIE

public static final int SC_RESP_SET_COOKIE

See Also:
  - Constant Field Values

### SC_RESP_SET_COOKIE2

public static final int SC_RESP_SET_COOKIE2

See Also:
  - Constant Field Values

### SC_RESP_SERVLET_ENGINE

public static final int SC_RESP_SERVLET_ENGINE

See Also:
  - Constant Field Values

### SC_RESP_STATUS

public static final int SC_RESP_STATUS

See Also:
  - Constant Field Values

### SC_RESP_WWW_AUTHENTICATE

public static final int SC_RESP_WWW_AUTHENTICATE

See Also:
  - Constant Field Values

### SC_RESP_AJP13_MAX

public static final int SC_RESP_AJP13_MAX

See Also:
  - Constant Field Values

### SC_A_CONTEXT

public static final byte SC_A_CONTEXT

See Also:
  - Constant Field Values

### SC_A_SERVLET_PATH

public static final byte SC_A_SERVLET_PATH

See Also:
  - Constant Field Values

### SC_A_REMOTE_USER

public static final byte SC_A_REMOTE_USER

See Also:
  - Constant Field Values

### SC_A_AUTH_TYPE

public static final byte SC_A_AUTH_TYPE

See Also:
  - Constant Field Values

### SC_A_QUERY_STRING

public static final byte SC_A_QUERY_STRING

See Also:
  - Constant Field Values

### SC_A_JVM_ROUTE

public static final byte SC_A_JVM_ROUTE

See Also:
  - Constant Field Values

### SC_A_SSL_CERT

public static final byte SC_A_SSL_CERT

See Also:
  - Constant Field Values

### SC_A_SSL_CIPHER

public static final byte SC_A_SSL_CIPHER

See Also:
  - Constant Field Values

### SC_A_SSL_SESSION

public static final byte SC_A_SSL_SESSION

See Also:
  - Constant Field Values

### SC_A_SSL_KEY_SIZE

public static final byte SC_A_SSL_KEY_SIZE

See Also:
  - Constant Field Values

### SC_A_SECRET

public static final byte SC_A_SECRET

See Also:
  - Constant Field Values

### SC_A_STORED_METHOD

public static final byte SC_A_STORED_METHOD

See Also:
  - Constant Field Values

### SC_A_REQ_ATTRIBUTE

public static final byte SC_A_REQ_ATTRIBUTE

See Also:
  - Constant Field Values

### SC_A_REQ_LOCAL_ADDR

public static final String SC_A_REQ_LOCAL_ADDR
AJP private request attributes

See Also:
  - Constant Field Values

### SC_A_REQ_REMOTE_PORT

public static final String SC_A_REQ_REMOTE_PORT

See Also:
  - Constant Field Values

### SC_A_SSL_PROTOCOL

public static final String SC_A_SSL_PROTOCOL

See Also:
  - Constant Field Values

### SC_A_ARE_DONE

public static final byte SC_A_ARE_DONE

See Also:
  - Constant Field Values

### MAX_PACKET_SIZE

public static final int MAX_PACKET_SIZE
Default maximum total byte size for an AJP packet

See Also:
  - Constant Field Values

### H_SIZE

public static final int H_SIZE
Size of basic packet header

See Also:
  - Constant Field Values

### READ_HEAD_LEN

public static final int READ_HEAD_LEN
Size of the header metadata

See Also:
  - Constant Field Values

### SEND_HEAD_LEN

public static final int SEND_HEAD_LEN

See Also:
  - Constant Field Values

### MAX_READ_SIZE

public static final int MAX_READ_SIZE
Default maximum size of data that can be sent in one packet

See Also:
  - Constant Field Values

### MAX_SEND_SIZE

public static final int MAX_SEND_SIZE

See Also:
  - Constant Field Values

### SC_M_JK_STORED

public static final int SC_M_JK_STORED

See Also:
  - Constant Field Values

### SC_REQ_ACCEPT

public static final int SC_REQ_ACCEPT

See Also:
  - Constant Field Values

### SC_REQ_ACCEPT_CHARSET

public static final int SC_REQ_ACCEPT_CHARSET

See Also:
  - Constant Field Values

### SC_REQ_ACCEPT_ENCODING

public static final int SC_REQ_ACCEPT_ENCODING

See Also:
  - Constant Field Values

### SC_REQ_ACCEPT_LANGUAGE

public static final int SC_REQ_ACCEPT_LANGUAGE

See Also:
  - Constant Field Values

### SC_REQ_AUTHORIZATION

public static final int SC_REQ_AUTHORIZATION

See Also:
  - Constant Field Values

### SC_REQ_CONNECTION

public static final int SC_REQ_CONNECTION

See Also:
  - Constant Field Values

### SC_REQ_CONTENT_TYPE

public static final int SC_REQ_CONTENT_TYPE

See Also:
  - Constant Field Values

### SC_REQ_CONTENT_LENGTH

public static final int SC_REQ_CONTENT_LENGTH

See Also:
  - Constant Field Values

### SC_REQ_COOKIE

public static final int SC_REQ_COOKIE

See Also:
  - Constant Field Values

### SC_REQ_COOKIE2

public static final int SC_REQ_COOKIE2

See Also:
  - Constant Field Values

### SC_REQ_HOST

public static final int SC_REQ_HOST

See Also:
  - Constant Field Values

### SC_REQ_PRAGMA

public static final int SC_REQ_PRAGMA

See Also:
  - Constant Field Values

### SC_REQ_REFERER

public static final int SC_REQ_REFERER

See Also:
  - Constant Field Values

### SC_REQ_USER_AGENT

public static final int SC_REQ_USER_AGENT

See Also:
  - Constant Field Values

## Constructor Details

### Constants

public Constants()

## Method Details

### getMethodForCode

public static String getMethodForCode(int code)
Converts an AJP coded HTTP method to the method name.

Parameters:
  `code` - the coded value
Returns:
  the string value of the method

### getHeaderForCode

public static String getHeaderForCode(int code)
Converts an AJP coded HTTP request header to the header name.

Parameters:
  `code` - the coded value
Returns:
  the string value of the header name

### getResponseHeaderForCode

public static String getResponseHeaderForCode(int code)
Converts an AJP coded response header name to the HTTP response header name.

Parameters:
  `code` - the coded value
Returns:
  the string value of the header

### getResponseAjpIndex

public static int getResponseAjpIndex(String header)